Subject: bug#47938: closed (Re: [bug#47938] [PATCH] gnu: sway: Update to 1.6.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 May 2021 23:31:01 +0000

Your bug report

#47938: [PATCH 2/2] gnu: wlroots: Update to 0.13.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47938: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47938
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#47938] [PATCH] gnu: sway: Update to 1.6.
From: Jack Hill <[email-masked]>
To: Alexandr Vityazev <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 May 2021 19:29:55 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for preparing these patches. Sway and wlroots were already upgraded 
on the core-updates branch in afd2d66f2a4a7e4e7157f0a785491295434964c8 and 
b7daa450d93438e9c01fd72f930880e8d055921a. The new wlroots requires a new 
Wayland, which can only be updated on core updates because, according to 
`guix refresh -l wayland` 2474 would need to be rebuilt.

When the core-updates branch is merged, the new Sway and wlroots will 
become available. I don't know the timeline for that, but hopefully it 
won't be too long.

Therefore, I'm going to close this ticket. Thanks again for preparing it. 
For feedback on the patches, they looked good to me. Ordinarily, I would 
have tried to build them when reviewing as well, but I didn't in this case 
because of the Wayland dependency issue.

Best,
Jack

Subject: [PATCH 2/2] gnu: wlroots: Update to 0.13.0.
From: Alexandr Vityazev <[email-masked]>
To: [email-masked]
Date: Wed, 21 Apr 2021 18:50:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

---
 gnu/packages/wm.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index f92b8f4d85..a694913ca8 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -45,6 +45,7 @@
 ;;; Copyright © 2021 Sharlatan Hellseher <[email-masked]>
 ;;; Copyright © 2021 qblade <[email-masked]>
 ;;; Copyright © 2021 lasnesne <[email-masked]>
+;;; Copyright © 2021 Alexandr Vityazev <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1391,7 +1392,7 @@ functionality to display information about the most commonly used services.")
 (define-public wlroots
   (package
     (name "wlroots")
-    (version "0.12.0")
+    (version "0.13.0")
     (source
      (origin
        (method git-fetch)
@@ -1400,11 +1401,11 @@ functionality to display information about the most commonly used services.")
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "01j38lmgs2c6fq68v8b75pkilia2wsgzgp46ivfbi9hhx47kgcfn"))))
+        (base32 "01plhbnsp5yg18arz0v8fr0pr9l4w4pdzwkg9px486qdvb3s1vgy"))))
     (build-system meson-build-system)
     (arguments
      `(#:configure-flags '("-Dlogind-provider=elogind")
-       #:meson ,meson-0.55
+       #:meson ,meson-next
        #:phases
        (modify-phases %standard-phases
          (add-before 'configure 'hardcode-paths
-- 
2.31.1

-- 

Alexandr Vityazev